Bug 1258292 - The order of deletion option is wrong in htpasswd command.
The order of deletion option is wrong in htpasswd command.
Status: CLOSED CURRENTRELEASE
Product: OpenShift Container Platform
Classification: Red Hat
Component: Documentation (Show other bugs)
3.0.0
Unspecified Unspecified
urgent Severity high
: ---
: ---
Assigned To: brice
Vikram Goyal
Vikram Goyal
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-30 21:28 EDT by jooho lee
Modified: 2015-09-21 02:00 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-21 02:00:08 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description jooho lee 2015-08-30 21:28:08 EDT
Document URL: 

Upstream - https://docs.openshift.com/enterprise/3.0/admin_guide/configuring_authentication.html#HTPasswdPasswordIdentityProvider

Red Hat doc - https://access.redhat.com/documentation/en/openshift-enterprise/version-3.0/openshift-enterprise-30-administrator-guide#HTPasswdPasswordIdentityProvider

Section Number and Name: 
   openshift-enterprise-30-administrator-guide - 7.2.3. HTPasswd

Describe the issue: 
  From upstream & Red hat document for deleting user with htpasswd, the order of deletion option is wrong.[1]


Suggestions for improvement: 

~~~
$ htpasswd </path/to/users.htpasswd> -D <user_name>
~~~

==>Should be 
~~~
$ htpasswd -D </path/to/users.htpasswd>  <user_name>
~~~

Additional information: 

I pull request it to upstream :
https://github.com/openshift/openshift-docs/pull/929
Comment 2 jooho lee 2015-08-31 01:12:15 EDT
The pull request is just merged.
Comment 3 brice 2015-08-31 01:45:13 EDT
True. Work can be found here:

https://github.com/openshift/openshift-docs/pull/929

Putting to Released_pending.

Note You need to log in before you can comment on or make changes to this bug.